# $Source: /opt/cvs/samba/smbldap-tools/smbldap-tools.spec,v $
%define version 0.8.7
%define release 1.PU_IAS.1
%define name 	smbldap-tools
%define realname  smbldap-tools
%define _prefix /opt/IDEALX
%define _sysconfdir /etc/opt/IDEALX

Summary:	User & Group administration tools for Samba-OpenLDAP
Name: 		%{name}
version: 	%{version}
Release: 	%{release}
Group: 		System Environment/Base
License: 	GPL
Vendor:		IDEALX S.A.S.
URL:		http://samba.IDEALX.org/
Packager:	Jerome Tournier <jerome.tournier@IDEALX.com>
Source0: 	smbldap-tools-%{version}.tgz
BuildRoot: 	/%{_tmppath}/%{name}
BuildRequires:	perl >= 5.6
Requires:	perl >= 5.6, samba
Prefix:		%{_prefix}
BuildArch:     noarch

%description
Smbldap-tools is a set of perl scripts written by Idealx. Those scripts are
designed to help managing users and groups in a ldap directory server and
can be used both by users and administrators of Linux systems:
. users can change their password in a way similar to the standard
  "passwd" command,
. administrators can perform users and groups management

Scripts are described in the Smbldap-tools User Manual
(http://samba.idealx.org/smbldap-tools.en.html) which also give command
line examples.
You can download the latest version on Idealx web site
(http://samba.idealx.org/dist/).
Comments and/or questions can be sent to the smbldap-tools mailing list
(http://lists.idealx.org/lists/samba).

%prep
%setup -q

%build
sed -i "s,/etc/opt/IDEALX/smbldap-tools/,%{_sysconfdir}/smbldap-tools/,g" smbldap_tools.pm

%install
%{__rm} -rf %{buildroot}
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/sbin/smbldap-groupadd
%{prefix}/sbin/smbldap-groupdel
%{prefix}/sbin/smbldap-groupmod
%{prefix}/sbin/smbldap-groupshow
%{prefix}/sbin/smbldap-passwd
%{prefix}/sbin/smbldap-populate
%{prefix}/sbin/smbldap-useradd
%{prefix}/sbin/smbldap-userdel
%{prefix}/sbin/smbldap-usermod
%{prefix}/sbin/smbldap-userinfo
%{prefix}/sbin/smbldap-usershow
%{prefix}/sbin/smbldap_tools.pm
%doc CONTRIBUTORS COPYING ChangeLog FILES INFRA README INSTALL TODO
%doc smb.conf smbldap.conf smbldap_bind.conf configure.pl
%doc doc/smbldap-migrate-accounts doc/smbldap-migrate-groups
%doc doc/smbldap-migrate-unix-accounts doc/smbldap-migrate-unix-groups
%doc doc/html
%defattr(755,root,root)
%config(noreplace) %{_sysconfdir}/smbldap-tools/smbldap.conf
%defattr(600,root,root)
%config(noreplace) %{_sysconfdir}/smbldap-tools/smbldap_bind.conf

%changelog
* Fri Nov 28 2003 Jerome Tournier <jerome.tournier@idealx.com> 0.8.2-1
- see Changelog file for updates in scripts

